Package org.apache.synapse.transport.nhttp

# Class ServerIODispatch

java.lang.Object
org.apache.http.impl.nio.reactor.AbstractIODispatch<org.apache.http.impl.nio.DefaultNHttpServerConnection>
org.apache.synapse.transport.nhttp.ServerIODispatch

All Implemented Interfaces:
  `org.apache.http.nio.reactor.IOEventDispatch`

public class ServerIODispatch extends org.apache.http.impl.nio.reactor.AbstractIODispatch<org.apache.http.impl.nio.DefaultNHttpServerConnection>

- ## Field Summary

  ### Fields inherited from interface org.apache.http.nio.reactor.IOEventDispatch

  `CONNECTION_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerIODispatch(org.apache.http.nio.NHttpServerEventHandler handler, ServerConnFactory connFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.apache.http.impl.nio.DefaultNHttpServerConnection`
  `createConnection(org.apache.http.nio.reactor.IOSession session)`
  `protected void`
  `onClosed(org.apache.http.impl.nio.DefaultNHttpServerConnection conn)`
  `protected void`
  `onConnected(org.apache.http.impl.nio.DefaultNHttpServerConnection conn)`
  `protected void`
  `onException(org.apache.http.impl.nio.DefaultNHttpServerConnection conn, IOException ex)`
  `protected void`
  `onInputReady(org.apache.http.impl.nio.DefaultNHttpServerConnection conn)`
  `protected void`
  `onOutputReady(org.apache.http.impl.nio.DefaultNHttpServerConnection conn)`
  `protected void`
  `onTimeout(org.apache.http.impl.nio.DefaultNHttpServerConnection conn)`
  `void`
  `update(ServerConnFactory connFactory)`

  ### Methods inherited from class org.apache.http.impl.nio.reactor.AbstractIODispatch

  `connected, disconnected, inputReady, outputReady, timeout`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServerIODispatch

    public ServerIODispatch(org.apache.http.nio.NHttpServerEventHandler handler, ServerConnFactory connFactory)

- ## Method Details

  - ### update

    public void update(ServerConnFactory connFactory)

  - ### createConnection

    protected org.apache.http.impl.nio.DefaultNHttpServerConnection createConnection(org.apache.http.nio.reactor.IOSession session)
    Specified by:
      `createConnection` in class `org.apache.http.impl.nio.reactor.AbstractIODispatch<org.apache.http.impl.nio.DefaultNHttpServerConnection>`

  - ### onConnected

    protected void onConnected(org.apache.http.impl.nio.DefaultNHttpServerConnection conn)
    Specified by:
      `onConnected` in class `org.apache.http.impl.nio.reactor.AbstractIODispatch<org.apache.http.impl.nio.DefaultNHttpServerConnection>`

  - ### onClosed

    protected void onClosed(org.apache.http.impl.nio.DefaultNHttpServerConnection conn)
    Specified by:
      `onClosed` in class `org.apache.http.impl.nio.reactor.AbstractIODispatch<org.apache.http.impl.nio.DefaultNHttpServerConnection>`

  - ### onException

    protected void onException(org.apache.http.impl.nio.DefaultNHttpServerConnection conn, IOException ex)
    Specified by:
      `onException` in class `org.apache.http.impl.nio.reactor.AbstractIODispatch<org.apache.http.impl.nio.DefaultNHttpServerConnection>`

  - ### onInputReady

    protected void onInputReady(org.apache.http.impl.nio.DefaultNHttpServerConnection conn)
    Specified by:
      `onInputReady` in class `org.apache.http.impl.nio.reactor.AbstractIODispatch<org.apache.http.impl.nio.DefaultNHttpServerConnection>`

  - ### onOutputReady

    protected void onOutputReady(org.apache.http.impl.nio.DefaultNHttpServerConnection conn)
    Specified by:
      `onOutputReady` in class `org.apache.http.impl.nio.reactor.AbstractIODispatch<org.apache.http.impl.nio.DefaultNHttpServerConnection>`

  - ### onTimeout

    protected void onTimeout(org.apache.http.impl.nio.DefaultNHttpServerConnection conn)
    Specified by:
      `onTimeout` in class `org.apache.http.impl.nio.reactor.AbstractIODispatch<org.apache.http.impl.nio.DefaultNHttpServerConnection>`